<?php
/**
 * Custom Controls
 * 
 * @package Influential
 * @since 1.0.0
 */
if( class_exists( 'WP_Customize_Control' ) ) :
    // base control class
    class Influential_WP_Base_Control extends \WP_Customize_Control {
        /**
         * List of controls for this theme.
         * 
         * @since 1.0.0
         */
        protected $type_array =  array(
            'toggle-button',
            'multicheckbox',
            'checkbox',
            'range',
            'simple-toggle-button'
        );

        /**
         * Render the control's content.
         *
         */
        public function render_content() {
            if( ! in_array( $this->type, $this->type_array ) ) return;
    ?>
            <div class="customize-<?php echo esc_attr( $this->type ); ?>-control" data-setting="<?php echo esc_attr( $this->setting->id ); ?>"></div>
    <?php
        }
    }
    
    // toggle control 
    class Influential_WP_Toggle_Control extends Influential_WP_Base_Control {
        /**
         * Control type
         * 
         */
        public $type = 'toggle-button';
    }
endif;