<?php
/**
 * Frontpage Top Full Width Section Settings
 * 
 * @package Influential
 * @since 1.0.0
 */

add_action( 'customize_register', 'influential_customize_frontpage_top_full_width_section_register', 10 );
/**
 * Add settings for frontpage top full width section in the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function influential_customize_frontpage_top_full_width_section_register( $wp_customize ) {
    /**
     * Frontpage Top Full Width Section
     * 
     * panel - influential_frontpage_sections_panel
     */

    $wp_customize->add_section( 'frontpage_top_full_width_section', array(
      'title' => esc_html__( 'Frontpage Top Full Width Section', 'influential' ),
      'panel' => 'influential_frontpage_sections_panel',
      'priority'  => 10,
    ));

    /**
     * Frontpage Top Banner Widget Heading Settings
     * 
     */
    $wp_customize->add_setting( 'frontpage_top_banner_widget_settings', array(
        'sanitize_callback' => 'sanitize_text_field'
    ));

    $wp_customize->add_control( 
        new Influential_WP_Section_Heading_Control( $wp_customize, 'frontpage_top_banner_widget_settings', array(
            'label'	      => esc_html__( 'Top Full Width Blocks', 'influential' ),
            'section'     => 'frontpage_top_full_width_section',
            'settings'    => 'frontpage_top_banner_widget_settings',
            'type'        => 'section-heading',
        ))
    );
    
    $wp_customize->add_setting( 'frontpage_top_full_width_blocks', array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'   => json_encode(array(
                array(
                    'name'      => 'categories-collection',
                    'option'    => false,
                    'blockTitle'=> esc_html__( 'Category Collection', 'influential' ),
                    'categories'  => '[]',
                    'countOption'     => true,
                    'layout'    => 'one'
                )
            )
        )
    ));

    $wp_customize->add_control( 
        new Influential_WP_Blocks_Repeater_Control( $wp_customize, 'frontpage_top_full_width_blocks', array(
            'label'	      => esc_html__( 'Full Width Section Blocks', 'influential' ),
            'section'     => 'frontpage_top_full_width_section',
            'settings'    => 'frontpage_top_full_width_blocks'
        ))
    );
}