<?php
/**
 * Frontpage sections hooks
 * 
 */
if( ! function_exists( 'influential_top_full_width_sec' )  ) :
    /**
     * Top Full Width Section
     * 
     */
    function influential_top_full_width_sec() {
        $frontpage_top_full_width_blocks = get_theme_mod( 'frontpage_top_full_width_blocks', json_encode(array(
                    array(
                        'name'      => 'categories-collection',
                        'option'    => false,
                        'blockTitle'=> esc_html__( 'Category Collection', 'influential' ),
                        'categories'  => '[]',
                        'countOption'     => true,
                        'layout'    => 'one'
                    )
                )
            )
        );
        if( ! $frontpage_top_full_width_blocks ) {
            return;
        }
        $decoded_blocks = json_decode( $frontpage_top_full_width_blocks );
        if( ! in_array( true, array_column( $decoded_blocks, 'option' ) ) ) {
            return;
        }
        echo '<section id="influential-top-full-width-section" class="influential-frontpage-section">';
            $decoded_blocks = json_decode( $frontpage_top_full_width_blocks );
            foreach( $decoded_blocks as $block ) :
                $option = $block->option;
                if( $option ) {
                    $block_name = $block->name;
                    $layout = isset( $block->layout ) ? $block->layout : 'one';
                    get_template_part( 'template-parts/frontpage-sections/' .$block_name. '/layout', $layout, $block );
                }
            endforeach;
        echo '</section><!-- #influential-top-full-width-section -->';
    }
endif;

if( ! function_exists( 'influential_middle_left_content_sec' )  ) :
    /**
     * Middle Left Content Section
     * 
     */
    function influential_middle_left_content_sec() {
        $frontpage_middle_left_content_blocks = get_theme_mod( 'frontpage_middle_left_content_blocks', json_encode(array(
                    array(
                        'name'      => 'posts-grid-alter',
                        'option'    => false,
                        'blockTitle'=> esc_html__( 'Posts Grid Alter', 'influential' ),
                        'category'  => '',
                        'count'     => 3,
                        'dateOption'     => false,
                        'commentOption'  => false,
                        'layout'    => 'one'
                    ),
                    array(
                        'name'      => 'posts-grid',
                        'option'    => false,
                        'blockTitle'=> esc_html__( 'Posts Grid', 'influential' ),
                        'category'  => '',
                        'count'     => 3,
                        'contentOption'  => false,
                        'layout'    => 'one'
                    ),
                    array(
                        'name'      => 'posts-list',
                        'option'    => false,
                        'blockTitle'=> esc_html__( 'Posts List', 'influential' ),
                        'category'  => '',
                        'count'     => 3,
                        'dateOption'  => true,
                        'commentOption'  => true,
                        'contentOption'  => false,
                        'layout'    => 'one'
                    )
                )
            )
        );
        if( ! $frontpage_middle_left_content_blocks ) {
            return;
        }
        $decoded_blocks = json_decode( $frontpage_middle_left_content_blocks );
        if( ! in_array( true, array_column( $decoded_blocks, 'option' ) ) ) {
            return;
        }
        echo '<section id="influential-middle-left-content-section" class="influential-frontpage-section">';
            echo '<div class="primary-section">';
                $decoded_blocks = json_decode( $frontpage_middle_left_content_blocks );
                foreach( $decoded_blocks as $block ) :
                    $option = $block->option;
                    if( $option ) {
                        $block_name = $block->name;
                        $layout = isset( $block->layout ) ? $block->layout : 'one';
                        get_template_part( 'template-parts/frontpage-sections/' .$block_name. '/layout', $layout, $block );
                    }
                endforeach;
            echo '</div><!-- .primary-section -->';

            echo '<div class="secondary-section">';
                if( is_active_sidebar( 'frontpage-middle-right-sidebar' ) ) {
                    dynamic_sidebar( 'frontpage-middle-right-sidebar' );
                }
            echo '</div>';
        echo '</section><!-- #influential-top-full-width-section -->';
    }
endif;

if( ! function_exists( 'influential_middle_right_content_sec' )  ) :
    /**
     * Middle Right Content Section
     * 
     */
    function influential_middle_right_content_sec() {
        $frontpage_middle_right_content_blocks = get_theme_mod( 'frontpage_middle_right_content_blocks', json_encode(array(
                    array(
                        'name'      => 'posts-grid',
                        'option'    => false,
                        'blockTitle'=> esc_html__( 'Posts Grid', 'influential' ),
                        'category'  => '',
                        'count'     => 3,
                        'contentOption'  => false,
                        'layout'    => 'one'
                    ),
                    array(
                        'name'      => 'posts-list',
                        'option'    => false,
                        'blockTitle'=> esc_html__( 'Posts List', 'influential' ),
                        'category'  => '',
                        'count'     => 3,
                        'dateOption'  => true,
                        'commentOption'  => true,
                        'contentOption'  => true,
                        'layout'    => 'one'
                    ),
                    array(
                        'name'      => 'posts-grid-alter',
                        'option'    => false,
                        'blockTitle'=> esc_html__( 'Posts Grid Alter', 'influential' ),
                        'category'  => '',
                        'count'     => 3,
                        'dateOption'     => false,
                        'commentOption'  => false,
                        'layout'    => 'one'
                    )
                )
            )
        );
        if( ! $frontpage_middle_right_content_blocks ) {
            return;
        }
        $decoded_blocks = json_decode( $frontpage_middle_right_content_blocks );
        if( ! in_array( true, array_column( $decoded_blocks, 'option' ) ) ) {
            return;
        }
        echo '<section id="influential-middle-right-content-section" class="influential-frontpage-section">';
            echo '<div class="secondary-section">';
                if( is_active_sidebar( 'frontpage-middle-left-sidebar' ) ) {
                    dynamic_sidebar( 'frontpage-middle-left-sidebar' );
                }
            echo '</div>';
            echo '<div class="primary-section">';
                $decoded_blocks = json_decode( $frontpage_middle_right_content_blocks );
                foreach( $decoded_blocks as $block ) :
                    $option = $block->option;
                    if( $option ) {
                        $block_name = $block->name;
                        $layout = isset( $block->layout ) ? $block->layout : 'one';
                        get_template_part( 'template-parts/frontpage-sections/' .$block_name. '/layout', $layout, $block );
                    }
                endforeach;
            echo '</div>';
        echo '</section><!-- #influential-top-full-width-section -->';
    }
endif;

if( ! function_exists( 'influential_bottom_full_width_sec' )  ) :
    /**
     * Bottom Full Width Section
     * 
     */
    function influential_bottom_full_width_sec() {
        $frontpage_bottom_full_width_blocks = get_theme_mod( 'frontpage_bottom_full_width_blocks', json_encode(array(
                array(
                    'name'      => 'posts-carousel',
                    'option'    => false,
                    'blockTitle'=> esc_html__( 'Posts Carousel', 'influential' ),
                    'category'  => '',
                    'count'     => 6,
                    'dateOption'     => true,
                    'commentOption'  => true,
                    'layout'    => 'one'
                )
            )
        )
        );
        if( ! $frontpage_bottom_full_width_blocks ) {
            return;
        }
        $decoded_blocks = json_decode( $frontpage_bottom_full_width_blocks );
        if( ! in_array( true, array_column( $decoded_blocks, 'option' ) ) ) {
            return;
        }
        echo '<section id="influential-bottom-full-width-section" class="influential-frontpage-section">';
            $decoded_blocks = json_decode( $frontpage_bottom_full_width_blocks );
            foreach( $decoded_blocks as $block ) :
                $option = $block->option;
                if( $option ) {
                    $block_name = $block->name;
                    $layout = isset( $block->layout ) ? $block->layout : 'one';
                    get_template_part( 'template-parts/frontpage-sections/' .$block_name. '/layout', $layout, $block );
                }
            endforeach;
        echo '</section><!-- #influential-bottom-full-width-section -->';
    }
endif;

add_action( 'influential_frontpage_section_hook', 'influential_top_full_width_sec', 10 );
add_action( 'influential_frontpage_section_hook', 'influential_middle_left_content_sec', 20 );
add_action( 'influential_frontpage_section_hook', 'influential_middle_right_content_sec', 30 );
add_action( 'influential_frontpage_section_hook', 'influential_bottom_full_width_sec', 40 );

if( !function_exists( 'influential_banner_slider_sec' ) ) :
    /**
     * Banner Slider Section
     * 
     */
    function influential_banner_slider_sec() {
        $banner_slider_option = get_theme_mod( 'banner_slider_option', true );
        if( ! $banner_slider_option ) return;
        $layout = get_theme_mod( 'banner_slider_layout', 'two' );
        $block = new stdClass();
        $block->category = get_theme_mod( 'banner_slider_category', '' );
        $block->count = get_theme_mod( 'banner_slider_post_count', 3 );
        $block->contentOption = get_theme_mod( 'banner_slider_content_option', false );
    ?>
        <section id="influential-banner-slider-section" class="influential-frontpage-section">
            <?php get_template_part( 'template-parts/frontpage-sections/banner-slider/layout', $layout, $block ); ?>
        </section>
    <?php
    }
endif;

if( !function_exists( 'influential_author_sec' ) ) :
    /**
     * About Author Section
     * 
     */
    function influential_author_sec() {
        $about_author_section_option = get_theme_mod( 'about_author_section_option', false );
        if( ! $about_author_section_option ) return;
        $frontpage_about_author_title   = get_theme_mod( 'frontpage_about_author_title', esc_html__( 'Most often I really like to travel and write a blog. Yeah! I am simply a beginner in this blogging world.', 'influential' ) );
        $frontpage_about_author_desc    = get_theme_mod( 'frontpage_about_author_desc' );
        $frontpage_about_author_image   = get_theme_mod( 'frontpage_about_author_image' );
        $frontpage_about_author_image_two   = get_theme_mod( 'frontpage_about_author_image_two' );
    ?>
        <section id="influential-about-author-section" class="influential-frontpage-section">
            <div class="author-content">
                <?php
                    if( !empty( $frontpage_about_author_title ) )
                        echo '<h2 class="author-title">' .esc_html( $frontpage_about_author_title ). '</h2>';

                    if( !empty( $frontpage_about_author_desc ) )
                        echo '<p class="author-desc">' .wp_kses_post( $frontpage_about_author_desc ). '</p>';
                ?>
            </div>
            <figure class="author-image-wrap" id="imgstack">
                <?php
                        echo '<div class="author_img_wrap">';
                            if( !empty( $frontpage_about_author_image ) )
                                echo '<img class="author-image author-image-small" src="' .esc_url( $frontpage_about_author_image ). '">';
                            if( !empty( $frontpage_about_author_image_two ) )
                                echo '<img class="author-image author-image-large" src="' .esc_url( $frontpage_about_author_image_two ). '">';
                        echo '</div>';
                ?>
            </figure>
        </section>
    <?php
    }
endif;
add_action( 'influential_frontpage_slider_hook', 'influential_banner_slider_sec', 10 );
add_action( 'influential_frontpage_before_content_hook', 'influential_author_sec', 20 );