<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Influential
 * @since 1.0.0
 * 
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('bmm-post'); ?>>
	<?php if( has_post_thumbnail() ) : ?>
		<div class="bmm-post-thumb">
			<?php influential_post_thumbnail(); ?>
		</div>
	<?php endif; ?>
	
	<div class="post-elements-wrapper">
		<header class="entry-header">
			<?php
			if ( is_singular() ) :
				the_title( '<h1 class="bmm-post-title">', '</h1>' );
			else :
				the_title( '<h2 class="bmm-post-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif;

			if ( 'post' === get_post_type() ) :
				?>
				<div class="bmm-post-meta">
					<?php
						influential_entry_footer();
						influential_posted_on();
					?>
				</div>
			<?php endif; ?>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php
				the_excerpt();
				wp_link_pages(
					array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'influential' ),
						'after'  => '</div>',
					)
				);
			?>
		</div><!-- .entry-content -->

		<?php
			influential_posted_by();

			/**
			 * hook - influential_archive_single_post_before_article_hook
			 * 
			 * @hooked - influential_archive_read_more_button - 10
			 * 
			 */
				if( has_action( 'influential_archive_single_post_before_article_hook' ) ) {
					do_action( 'influential_archive_single_post_before_article_hook' );
				}
        ?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->